## org.eclipse.datatools.connectivity.sqm.core.rte
Interface ICatalogProvider

All Known Implementing Classes:
  JDBCProvider, MySqlCatalogProvider, SybaseASACatalogProvider, SybaseASECatalogProvider

    public interface ICatalogProvider

Method Summary
`Database` `getCatalogDatabase(java.sql.Connection connection)`

Method Detail

### getCatalogDatabase

    Database getCatalogDatabase(java.sql.Connection connection)